#!/usr/bin/sh -eu

test -x /usr/bin/bootctl || exit 0 # handle removed, but not purged
bootctl is-installed --quiet || exit 0

echo "Updating kernel version $1 in systemd-boot..."

kernel-install add "$1" "/boot/vmlinuz-$1" "$2"
